bigliettiRimasti = 100
acquirenti = 0

while bigliettiRimasti > 0:
    biglietti = int(input("Quanti biglietti vuoi acquistare? "))

    if biglietti < 1:
        print("Non puoi vendere biglietti")
        continue
    if biglietti > 4:
        print("Non puoi acquistare più di quattro biglietti")
        continue
    elif bigliettiRimasti < biglietti:
        print("Non sono disponibili abbastanza biglietti")
        continue
    
    print("Acquisto effettuato")
    acquirenti += 1
    bigliettiRimasti -= biglietti

print("Acquirenti", acquirenti)